Transfer Orders From Supply To Assembly
http
PATCH /api/marketplace/v3/fbs/supplies/{supplyId}/orders/transferBase URL: https://marketplace-api.wildberries.ru · Module: orders-fbs · Section: FBS Supplies · Specification doc ↗
The method transfers assembly orders from the complete status — in delivery to the confirm status — in assembly.
Use the method to moved an assembly order from a closed supply to an open one.
An assembly order can be moved from delivery to assembly if all conditions are met:
- the assembly order is in the
completestatus — in delivery - the supply to which the assembly order needs to be moved is not transferred to delivery
- the assembly order has not previously been moved from delivery to assembly To check whether an assembly order can be transferred from delivery to assembly, use the assembly order statuses, the isTransferable field.
Parameters
| Name | In | Type | Req. | Description |
|---|---|---|---|---|
supplyId | path | string | yes | ID of the supply from which orders will be moved |
Request body
application/json — schema object, required
orderIdsinteger<int64>[](required) — List of assembly order IDs that need to be moved to assemblynewSupplyIdstring(required) — ID of the supply to which orders will be moved. The supply must not be in a delivery status
Responses
| Code | Description | Schema |
|---|---|---|
200 | Success | v3.TransferOrdersToAssemblyResponse |
400 | Bad request | Error |
401 | Unauthorized | object |
403 | Access denied | Error |
Structure 200:
transferredOrdersv3.TransferOrderToAssembly[]errorobject— Error detaildetailstring— Error detailscodeinteger<int64>— Internal error code
successboolean— Whether the request was processed successfully. Can only betruenewStickerIdinteger<int64>— New sticker IDoldStickerIdinteger<int64>— Old sticker IDorderIdinteger<int64>— Assembly order ID
Structure 400:
codestring— Error codemessagestring— Error descriptiondataobject— Additional data for the error
Structure 401:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Unique request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Structure 403:
codestring— Error codemessagestring— Error descriptiondataobject— Additional data for the error
Call examples
Arguments are shown as parameter names — substitute your own values. Languages whose client does not expose this operation are omitted.
python
from wb_api_client.orders_fbs import Configuration, ApiClient
from wb_api_client.orders_fbs.api import OrdersFbsApi
cfg = Configuration(access_token="<your WB JWT>")
api = OrdersFbsApi(ApiClient(cfg))
result = api.patch_v3_fbs_supplies_supply_id_orders_transfer(supply_id=..., patch_v3_fbs_supplies_supply_id_orders_transfer_request=...)
print(result)ts
import {
Configuration,
OrdersFbsApi,
} from "@valeryverkhoturov/wb-api-client/orders-fbs";
const cfg = new Configuration({});
cfg.setAccessToken("<your WB JWT>");
const api = new OrdersFbsApi(cfg);
const { data } = await api.patchV3FbsSuppliesSupplyIdOrdersTransfer(supplyId, patchV3FbsSuppliesSupplyIdOrdersTransferRequest);
console.log(data);go
import (
"context"
"fmt"
wbordersfbs "github.com/ValeryVerkhoturov/wb-api-client-go/orders_fbs"
)
cfg := wbordersfbs.NewConfiguration()
cfg.SetAccessToken("<your WB JWT>")
client := wbordersfbs.NewAPIClient(cfg)
result, _, err := client.OrdersFbsAPI.PatchV3FbsSuppliesSupplyIdOrdersTransfer(context.Background(), supplyId).PatchV3FbsSuppliesSupplyIdOrdersTransferRequest(patchV3FbsSuppliesSupplyIdOrdersTransferRequest).Execute()
if err != nil {
panic(err)
}
fmt.Printf("%+v\n", result)java
import io.github.valeryverkhoturov.wbapi.orders_fbs.ApiClient;
import io.github.valeryverkhoturov.wbapi.orders_fbs.SecretString;
import io.github.valeryverkhoturov.wbapi.orders_fbs.api.OrdersFbsApi;
ApiClient client = new ApiClient();
client.setAccessToken(new SecretString("<your WB JWT>"));
OrdersFbsApi api = new OrdersFbsApi(client);
System.out.println(api.patchV3FbsSuppliesSupplyIdOrdersTransfer(supplyId, patchV3FbsSuppliesSupplyIdOrdersTransferRequest));php
use ValeryVerkhoturov\WbApiClient\OrdersFbs\Configuration;
use ValeryVerkhoturov\WbApiClient\OrdersFbs\SecretString;
use ValeryVerkhoturov\WbApiClient\OrdersFbs\Api\OrdersFbsApi;
use GuzzleHttp\Client;
$config = (new Configuration())
->setAccessTokenSecret(new SecretString('<your WB JWT>'));
$api = new OrdersFbsApi(new Client(), $config);
print_r($api->patchV3FbsSuppliesSupplyIdOrdersTransfer($supply_id, $patch_v3_fbs_supplies_supply_id_orders_transfer_request));bsl
#Использовать "wb-api-client"
Настройки = Новый Конфигурация();
Настройки.УстановитьТокен("<your WB JWT>");
Клиент = Новый OrdersFbsApi(Настройки);
Сообщить(Клиент.PatchV3FbsSuppliesSupplyIdOrdersTransfer(supplyId, Тело).Тело);csharp
using ValeryVerkhoturov.WbApiClient.OrdersFbs.Api;
using ValeryVerkhoturov.WbApiClient.OrdersFbs.Client;
var config = new Configuration();
config.AccessTokenSecret = new SecretString("<your WB JWT>");
var api = new OrdersFbsApi(config);
Console.WriteLine(api.PatchV3FbsSuppliesSupplyIdOrdersTransfer(supplyId, patchV3FbsSuppliesSupplyIdOrdersTransferRequest));rust
use wb_api_client::orders_fbs::apis::{configuration::Configuration, orders_fbs_api};
#[tokio::main]
async fn main() {
let mut cfg = Configuration::new();
cfg.set_access_token("<your WB JWT>");
let result = orders_fbs_api::patch_v3_fbs_supplies_supply_id_orders_transfer(&cfg, supply_id, patch_v3_fbs_supplies_supply_id_orders_transfer_request).await;
println!("{:#?}", result);
}